LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XContentCreator Interface Referencepublished

A creator for new (persistent) contents, like file system folders. More...

`import"XContentCreator.idl";`

Inheritance diagram for XContentCreator:

## Public Member Functions
sequence< com::sun::star::ucb::ContentInfo > | queryCreatableContentsInfo ()
| returns a list with information about the creatable contents. More...
com::sun::star::ucb::XContent | createNewContent ([in] com::sun::star::ucb::ContentInfo Info)
| creates a new content of given type. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A creator for new (persistent) contents, like file system folders.

Creation of a new (persistent) content:

1. creatabletypes = creator.queryCreatableContentsInfo()
2. choose a suitable type from creatabletypes
3. newObject = creator.createNewContent( type )
4. initialize the new object (i.e. newObject.Property1 = ...)
5. let the new content execute the command "insert". That command commits the data and makes the new content persistent.

Deprecated:

This interface is deprecated. Use Content property "CreatableContentsInfo" and command "createNewContent" instead.

Version
  1.0

See also
  XContent
  XCommandProcessor

Developers Guide
  Appendix C. Universal Content Providers - The WebDAV Content Provider - Creation of New DCP Contents
  Universal Content Broker - Services and Interfaces
  Appendix C. Universal Content Providers - The FTP Content Provider - Creation of New FTP Content
  Appendix C. Universal Content Providers - The Hierarchy Content Provider - Creation of New HCP Content
  Universal Content Broker - Creating
  Appendix C. Universal Content Providers - The File Content Provider - Creation of New File Contents
  Appendix C. Universal Content Providers - The Package Content Provider - Creation of New PCP Contents

## Member Function Documentation

## ◆ createNewContent()

com::sun::star::ucb::XContent createNewContent | ( | [in] com::sun::star::ucb::ContentInfo | Info | ) |

creates a new content of given type.

Parameters

  Info | the content information.

Returns
  the new content, if operation was successful.

## ◆ queryCreatableContentsInfo()

sequence< com::sun::star::ucb::ContentInfo > queryCreatableContentsInfo | ( |  | ) |

returns a list with information about the creatable contents.

Returns
  the list with information about the creatable contents.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XContentCreator.idl